Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.core
Class ConnectionConfig

    java.lang.Object
      com.gwtext.client.core.JsObject
          com.gwtext.client.core.BaseConfig
              com.gwtext.client.core.ConnectionConfig

    public class ConnectionConfig

extends BaseConfig

Connection configuration class.

Field Summary

Fields inherited from class com.gwtext.client.core.JsObject
`jsObj`

Constructor Summary
`ConnectionConfig()`

Method Summary
`void` | `setAutoAbort(boolean autoAbort)` Whether this request should abort any pending requests.
`void` | `setDefaultHeaders(NameValuePair[] defaultHeaders)` Request headers which are added to each request made by this object.
`void` | `setExtraParams(UrlParam[] params)` Properties which are used as extra parameters to each request made by this object.
`void` | `setMethod(Connection.Method method)` Sets the method (GET or POST) for the operation.
`void` | `setTimeout(int timeout)` The timeout in milliseconds to be used for requests.
`void` | `setUrl(java.lang.String url)` The default URL to be used for requests to the server.

Methods inherited from class com.gwtext.client.core.JsObject
`getJsObj, getProperties, isCreated, setJsObj`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConnectionConfig

    public ConnectionConfig()

Method Detail

### setAutoAbort

    public void setAutoAbort(boolean autoAbort)

  Whether this request should abort any pending requests.

  Parameters:
    `autoAbort` - defaults to false

### setDefaultHeaders

    public void setDefaultHeaders(NameValuePair[] defaultHeaders)

  Request headers which are added to each request made by this object.

  Parameters:
    `defaultHeaders` - default headers

### setExtraParams

    public void setExtraParams(UrlParam[] params)

  Properties which are used as extra parameters to each request made by this object.

  Parameters:
    `params` - request parameters

### setMethod

    public void setMethod(Connection.Method method)

  Sets the method (GET or POST) for the operation.

  Parameters:
    `method` - the method
  See Also:
    `Connection.GET`, `Connection.POST`

### setTimeout

    public void setTimeout(int timeout)

  The timeout in milliseconds to be used for requests. (defaults to 30000)

  Parameters:
    `timeout` - timout

### setUrl

    public void setUrl(java.lang.String url)

  The default URL to be used for requests to the server.

  Parameters:
    `url` - defaults to undefined

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD